Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with
or
.
Download ZIP

Loading…

warble needs better error messages for new users #119

Open
curtcox opened this Issue · 4 comments

2 participants

@curtcox

I'm trying to get going with warbler. I'm beating my head against the error message below. As a newbie, it doesn't give me any next step. Please provide a better error message, or perhaps a FAQ entry.

$ gem install warbler
Successfully installed warbler-1.3.6
1 gem installed
Installing ri documentation for warbler-1.3.6...
Installing RDoc documentation for warbler-1.3.6...

$ warble
warble aborted!
cannot load such file -- java

(See full trace by running task with --trace)
@nicksieger
Owner

Can you re-run with --trace, and also provide the output of ruby -v. Thanks.

@curtcox
$ ruby -v
ruby 1.9.3p286 (2012-10-12 revision 37165) [x86_64-darwin12.2.0]
$ warble --trace
warble aborted!
cannot load such file -- java
/Users/curt/.rvm/gems/ruby-1.9.3-p286/gems/newrelic_rpm-3.4.0.1/lib/new_relic/agent/instrumentation/metric_frame.rb:66:in `require'
/Users/curt/.rvm/gems/ruby-1.9.3-p286/gems/newrelic_rpm-3.4.0.1/lib/new_relic/agent/instrumentation/metric_frame.rb:66:in `<class:MetricFrame>'
/Users/curt/.rvm/gems/ruby-1.9.3-p286/gems/newrelic_rpm-3.4.0.1/lib/new_relic/agent/instrumentation/metric_frame.rb:12:in `<module:Instrumentation>'
/Users/curt/.rvm/gems/ruby-1.9.3-p286/gems/newrelic_rpm-3.4.0.1/lib/new_relic/agent/instrumentation/metric_frame.rb:11:in `<module:Agent>'
/Users/curt/.rvm/gems/ruby-1.9.3-p286/gems/newrelic_rpm-3.4.0.1/lib/new_relic/agent/instrumentation/metric_frame.rb:10:in `<module:NewRelic>'
/Users/curt/.rvm/gems/ruby-1.9.3-p286/gems/newrelic_rpm-3.4.0.1/lib/new_relic/agent/instrumentation/metric_frame.rb:9:in `<top (required)>'
/Users/curt/.rvm/gems/ruby-1.9.3-p286/gems/newrelic_rpm-3.4.0.1/lib/new_relic/agent/transaction_sample_builder.rb:4:in `require'
/Users/curt/.rvm/gems/ruby-1.9.3-p286/gems/newrelic_rpm-3.4.0.1/lib/new_relic/agent/transaction_sample_builder.rb:4:in `<top (required)>'
/Users/curt/.rvm/gems/ruby-1.9.3-p286/gems/newrelic_rpm-3.4.0.1/lib/new_relic/agent/transaction_sampler.rb:3:in `require'
/Users/curt/.rvm/gems/ruby-1.9.3-p286/gems/newrelic_rpm-3.4.0.1/lib/new_relic/agent/transaction_sampler.rb:3:in `<top (required)>'
/Users/curt/.rvm/gems/ruby-1.9.3-p286/gems/newrelic_rpm-3.4.0.1/lib/new_relic/agent.rb:85:in `require'
/Users/curt/.rvm/gems/ruby-1.9.3-p286/gems/newrelic_rpm-3.4.0.1/lib/new_relic/agent.rb:85:in `<module:Agent>'
/Users/curt/.rvm/gems/ruby-1.9.3-p286/gems/newrelic_rpm-3.4.0.1/lib/new_relic/agent.rb:60:in `<module:NewRelic>'
/Users/curt/.rvm/gems/ruby-1.9.3-p286/gems/newrelic_rpm-3.4.0.1/lib/new_relic/agent.rb:34:in `<top (required)>'
/Users/curt/.rvm/gems/ruby-1.9.3-p286/gems/newrelic_rpm-3.4.0.1/lib/new_relic/control.rb:21:in `require'
/Users/curt/.rvm/gems/ruby-1.9.3-p286/gems/newrelic_rpm-3.4.0.1/lib/new_relic/control.rb:21:in `<top (required)>'
/Users/curt/.rvm/gems/ruby-1.9.3-p286/gems/newrelic_rpm-3.4.0.1/lib/newrelic_rpm.rb:20:in `require'
/Users/curt/.rvm/gems/ruby-1.9.3-p286/gems/newrelic_rpm-3.4.0.1/lib/newrelic_rpm.rb:20:in `<top (required)>'
/Users/curt/.rvm/gems/ruby-1.9.3-p286/gems/bundler-1.2.1/lib/bundler/runtime.rb:68:in `require'
/Users/curt/.rvm/gems/ruby-1.9.3-p286/gems/bundler-1.2.1/lib/bundler/runtime.rb:68:in `block (2 levels) in require'
/Users/curt/.rvm/gems/ruby-1.9.3-p286/gems/bundler-1.2.1/lib/bundler/runtime.rb:66:in `each'
/Users/curt/.rvm/gems/ruby-1.9.3-p286/gems/bundler-1.2.1/lib/bundler/runtime.rb:66:in `block in require'
/Users/curt/.rvm/gems/ruby-1.9.3-p286/gems/bundler-1.2.1/lib/bundler/runtime.rb:55:in `each'
/Users/curt/.rvm/gems/ruby-1.9.3-p286/gems/bundler-1.2.1/lib/bundler/runtime.rb:55:in `require'
/Users/curt/.rvm/gems/ruby-1.9.3-p286/gems/bundler-1.2.1/lib/bundler.rb:128:in `require'
/Users/curt/ionic_api_server/config/application.rb:13:in `<top (required)>'
rakefile:5:in `require'
rakefile:5:in `<top (required)>'
/Users/curt/.rvm/gems/ruby-1.9.3-p286/gems/warbler-1.3.6/lib/warbler/application.rb:58:in `load'
/Users/curt/.rvm/gems/ruby-1.9.3-p286/gems/warbler-1.3.6/lib/warbler/application.rb:58:in `block in load_project_rakefile'
/Users/curt/.rvm/gems/ruby-1.9.3-p286/gems/warbler-1.3.6/lib/warbler/application.rb:56:in `each'
/Users/curt/.rvm/gems/ruby-1.9.3-p286/gems/warbler-1.3.6/lib/warbler/application.rb:56:in `load_project_rakefile'
/Users/curt/.rvm/gems/ruby-1.9.3-p286/gems/warbler-1.3.6/lib/warbler.rb:25:in `project_application'
/Users/curt/.rvm/gems/ruby-1.9.3-p286/gems/warbler-1.3.6/lib/warbler/traits/rails.rb:27:in `before_configure'
/Users/curt/.rvm/gems/ruby-1.9.3-p286/gems/warbler-1.3.6/lib/warbler/traits.rb:28:in `block in before_configure'
/Users/curt/.rvm/gems/ruby-1.9.3-p286/gems/warbler-1.3.6/lib/warbler/traits.rb:28:in `each'
/Users/curt/.rvm/gems/ruby-1.9.3-p286/gems/warbler-1.3.6/lib/warbler/traits.rb:28:in `before_configure'
/Users/curt/.rvm/gems/ruby-1.9.3-p286/gems/warbler-1.3.6/lib/warbler/config.rb:176:in `initialize'
/Users/curt/.rvm/gems/ruby-1.9.3-p286/gems/warbler-1.3.6/lib/warbler/task.rb:48:in `new'
/Users/curt/.rvm/gems/ruby-1.9.3-p286/gems/warbler-1.3.6/lib/warbler/task.rb:48:in `initialize'
/Users/curt/.rvm/gems/ruby-1.9.3-p286/gems/warbler-1.3.6/lib/warbler/application.rb:27:in `new'
/Users/curt/.rvm/gems/ruby-1.9.3-p286/gems/warbler-1.3.6/lib/warbler/application.rb:27:in `load_rakefile'
/Users/curt/.rvm/gems/ruby-1.9.3-p286@global/gems/rake-0.9.2.2/lib/rake/application.rb:65:in `block in run'
/Users/curt/.rvm/gems/ruby-1.9.3-p286@global/gems/rake-0.9.2.2/lib/rake/application.rb:133:in `standard_exception_handling'
/Users/curt/.rvm/gems/ruby-1.9.3-p286@global/gems/rake-0.9.2.2/lib/rake/application.rb:63:in `run'
/Users/curt/.rvm/gems/ruby-1.9.3-p286/gems/warbler-1.3.6/lib/warbler/application.rb:70:in `run'
/Users/curt/.rvm/gems/ruby-1.9.3-p286/gems/warbler-1.3.6/bin/warble:11:in `<top (required)>'
/Users/curt/.rvm/gems/ruby-1.9.3-p286/bin/warble:19:in `load'
/Users/curt/.rvm/gems/ruby-1.9.3-p286/bin/warble:19:in `<main>'
/Users/curt/.rvm/gems/ruby-1.9.3-p286/bin/ruby_noexec_wrapper:14:in `eval'
/Users/curt/.rvm/gems/ruby-1.9.3-p286/bin/ruby_noexec_wrapper:14:in `<main>'
@nicksieger
Owner
@curtcox

I used rvm to install jruby. I could probably eliminate the problem by uninstalling jruby, but that doesn't seem like a good solution. I was able to get past this by simply eliminating all references to newrelic. This allowed me to build the .war file, but I can't actually run it, yet. I'm now facing:

Caused by: org.jruby.exceptions.RaiseException: (LoadError) C extensions are disabled, can't load 
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Something went wrong with that request. Please try again.